import request from '@/utils/request'

// 查询产品管理信息列表
export function listProductManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.productManagement',
      _mt: 'list',
      ...query
    }
  })
}

// 查询产品管理信息详细
export function getProductManagement(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.productManagement',
      _mt: 'get',
      id: id
    }
  })
}

// 新增产品管理信息
export function addProductManagement(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.productManagement',
      _mt: 'add',
      productManagement: data
    }
  })
}

// 修改产品管理信息
export function updateProductManagement(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.productManagement',
      _mt: 'update',
      productManagement: data
    }
  })
}

// 删除产品管理信息
export function delProductManagement(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.productManagement',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出产品管理信息
export function exportProductManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.productManagement',
      _mt: 'export',
      ...query
    }
  })
}
